AirHub API
AirHub® Portal (Sandbox)
  1. ASL Operations
AirHub API
  • Introduction
  • Authenticating
  • Briefing
    • Overview
    • What Is B4UFLY
    • The API Basics
    • Location vs Area
    • What's New in v2
    • v1
      • B4UFLY Briefing by Area
      • B4UFLY Briefing by Location
    • v2
      • B4UFLY Briefing by Area
      • B4UFLY Briefing by Location
  • Operations
    • ASL Operations
      • List Operations
        GET
      • Create Operation
        POST
      • Get Operation
        GET
      • Delete Operation
        DELETE
      • Update Operation
        PUT
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface
    • Overview
  • Vector Tiles
    • Overview
  • Data
    • Elevation v1
    • Elevation v2
    • shim
      • Send Positions
    • elevation-v1
      • Elevation
    • elevation-v2
      • Elevation
  • Schemas
    • AssetTypeEnum
    • authorizationsvc.v1.Authorization
    • asloperationsvc.v1.FlightType
    • DeviceStatus
    • authorizationsvc.v1.Class
    • ephemeralsvc.v1.ClaimEphemeralOperationResponse
    • authorizationsvc.v1.Deny
    • ElevationFeature
    • ephemeralsvc.v1.CreateEphemeralOperationRequest
    • authorizationsvc.v1.FacilityMap
    • ephemeralsvc.v1.CreateEphemeralOperationResponse
    • authorizationsvc.v1.Status
    • ElevationGeometry
    • ephemeralsvc.v1.EphemeralOperation
    • authorizationsvc.v1.SubmissionType
    • ElevationOutput
    • ElevationServerErrorResponse
    • ephemeralsvc.v1.PointOfContact
    • InvalidElevationInputResponse
    • geompb.v1.AltitudeReference
    • OwnerTypeEnum
    • geompb.v1.AltitudeUnit
    • google.protobuf.Any
    • laancsvc.v1.Action
    • PointXyElevationData
    • google.protobuf.NullValue
    • laancsvc.v1.Candidate
    • RawPositionMessageBody
    • google.rpc.Status
    • laancsvc.v1.DeleteOperationResponse
    • SourceAltitudeTypeEnum
    • laancsvc.v1.GetOperationResponse
    • Transformation
    • Unit
    • laancsvc.v1.License
    • V1ElevationInput
    • laancsvc.v1.Notice
    • V1Geometry
    • laancsvc.v1.Operation
    • V1GeometryType
    • laancsvc.v1.OperationResponse
    • V1InVDatum
    • laancsvc.v1.OperationService.CreateOperationBody
    • V2ElevationInput
    • laancsvc.v1.OperationService.UpdateOperationBody
    • laancsvc.v1.PointOfContact
    • laancsvc.v1.Reason
    • laancsvc.v1.UpdateOperationResponse
    • laancsvc.v1.ReverseLookupOperationResponse
AirHub® Portal (Sandbox)
  1. ASL Operations

Create Operation

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v1/operations
Last modified:2026-03-06 16:25:14
Scope: operation:create
This method will create a new ASL Operation.

Request

Body Params application/jsonRequired

Example
{
    "name": "Operation 97",
    "pilotId": "11a3776c-338b-4c6f-8e9b-9c89ca6ecbc1",
    "boundary": {
        "type": "Polygon",
        "coordinates": [
            [
                [
                    -78.55714924875102,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.15773996731016
                ]
            ]
        ]
    },
    "minAltitude": 0,
    "maxAltitude": 200,
    "startTime": "2024-08-23T20:25:00.000Z",
    "endTime": "2024-08-23T21:25:00.000Z",
    "aircraftId": "45dbf9a6-8113-4686-b31e-dc2d5af4adde",
    "timezone": "America/New_York",
    "altitudeUnit": "ALTITUDE_UNIT_FEET",
    "altitudeReference": "ALTITUDE_REFERENCE_AGL",
    "flightType": "FLIGHT_TYPE_COMMERCIAL",
    "desc": "Flight around Charlottesville"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://airhub-api-sandbox.airspacelink.com/v1/operations' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Operation 97",
    "pilotId": "11a3776c-338b-4c6f-8e9b-9c89ca6ecbc1",
    "boundary": {
        "type": "Polygon",
        "coordinates": [
            [
                [
                    -78.55714924875102,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.121934862230276
                ],
                [
                    -78.51075174761395,
                    38.15773996731016
                ],
                [
                    -78.55714924875102,
                    38.15773996731016
                ]
            ]
        ]
    },
    "minAltitude": 0,
    "maxAltitude": 200,
    "startTime": "2024-08-23T20:25:00.000Z",
    "endTime": "2024-08-23T21:25:00.000Z",
    "aircraftId": "45dbf9a6-8113-4686-b31e-dc2d5af4adde",
    "timezone": "America/New_York",
    "altitudeUnit": "ALTITUDE_UNIT_FEET",
    "altitudeReference": "ALTITUDE_REFERENCE_AGL",
    "flightType": "FLIGHT_TYPE_COMMERCIAL",
    "desc": "Flight around Charlottesville"
}'

Responses

🟢200
application/json
A successful response.
Body

Example
🟠403
🟠404
⚪default
Modified at 2026-03-06 16:25:14
Previous
List Operations
Next
Get Operation
Built with